Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ImR_Locator_i.h File Reference

`#include "tao/PortableServer/ImR_LocatorS.h"`
`#include "tao/IORTable/IORTable.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/SString.h"`

Include dependency graph for ImR_Locator_i.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | ActivatorInfo
class | ImR_Locator_i
## Typedefs
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ActivatorInfo, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | ActivatorMap
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ACE_CString, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | ServerMap

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ActivatorInfo, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> ActivatorMap

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ACE_CString, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> ServerMap